/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * Has 2 constructors annotated with @Constructor
 *
 */
@Service(Service1.class)
public class service1MultipleConstructorAnnotationsImpl implements Service1 {
	
	String constructorMessage = null;
	
	/**
	 * No-arg constructor, annotated
	 */
	@Constructor
	public service1MultipleConstructorAnnotationsImpl() {
		constructorMessage = " no-arg constructor was invoked";
	}
	
	/**
	 * Constructor with @Constructor annotation and with all parameters annotated with
	 * either @Property or with @Reference
	 * @param serviceName
	 */
	@Constructor
	public service1MultipleConstructorAnnotationsImpl( @Property(name="serviceName") String serviceName ) {
		constructorMessage = " fullAnnotated constructor was invoked";
	}

	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked" + constructorMessage;
	}

}
