/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 1 reference (1..1) with interface Service1
 * reference does not get called
 *
 * Class has a 2 setter methods annotated with @Reference and the Javabeans names of these two methods
 * is the same - which is an error
 */
@Service(Service1.class)
public class service1DupReferenceSettersImpl implements Service1 {
	
	@Property
	public String serviceName = "service1";
	private Service1 duplicateReference = null;
	
	public String operation1(String input) {
		String extra = null;
		if( duplicateReference != null ) extra = " duplicate reference was set";
		return serviceName + " operation1 invoked" + extra;
	}

	@Reference
	public void setduplicateReference( Service1 theReference ) {
		duplicateReference = theReference;
	}

	/**
	 * This differs from the previous method only in the capitalization of the
	 * name following the "set" at the beginning of its name...
	 * @param theProperty
	 */
	@Reference
	public void setDuplicateReference( Service1 theReference ) {
		duplicateReference = theReference;
	}
}
