/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;

/**
 * Java component implementation with
 * 1 service with interface Service1, no @Service annotation
 * 1 reference "reference1" (1..1) with interface Service1, no @Reference annotation
 * reference gets called when service1 operation1 is invoked
 * 
 * The class has no @Service annotation, no @Property annotations, no @Reference annotations but it has a public field
 * typed by an interface which has a @Remotable annotation and this field has an @PolicySets annotation
 */
public class Service1UnannotatedWithRefPolicySetsImpl implements Service1 {
	
	public static final String TEST_NS = "{http://docs.oasis-open.org/ns/opencsa/scatests/200903}";
	
	private String serviceName = "service1";
	@PolicySets(Service1UnannotatedWithRefPolicySetsImpl.TEST_NS+"PolicySet3")
	public Service1 reference1 = null;

	public String operation1(String input) {
		String result = reference1.operation1(input);
		return serviceName + " operation1 invoked" + " " + result;
	}
	
	/**
	 * Setter for a property with the name "serviceName"
	 * @param aServiceName - the service name
	 */
	public void setServiceName( String aServiceName ) {
		serviceName = aServiceName;
	}

} // end class Service1UnannotatedWithRefPolicySetsImpl
