/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;

/**
 * Java component implementation with
 * 1 service with interface Service1
 * 0 references
 * 
 * The class has a @PolicySets annotation containing one policy set
 */
@PolicySets(Service1WithImplPolicySetsImpl.TEST_NS+"PolicySet4")
@Service(Service1.class)
public class Service1WithImplPolicySetsImpl implements Service1 {
	
	public static final String TEST_NS = "{http://docs.oasis-open.org/ns/opencsa/scatests/200903}";
	
	private String serviceName = "service1";

	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}
	
	/**
	 * Setter for a property with the name "serviceName"
	 * @param aServiceName - the service name
	 */
	public void setServiceName( String aServiceName ) {
		serviceName = aServiceName;
	}

} // end class Service1WithImplPolicySetsImpl
