/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;

/**
 * A "plain" Java POJO implementation class, which offers:
 * 1 service, with an interface that is typed by this class itself
 * 0 references
 *
 * Note that this class has no @Service annotations and also does not implement an interface
 * of any kind.
 * The interface offered by the service of this class is designed to be compatible with the
 * Service1Superset interface - hence the class has an @Remotable annotation
 */
@Remotable
public class plainClassImpl {
	
	@Property
	public String serviceName = "service1";

	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

	public String operation2(String input) {
		return serviceName + " operation2 invoked";
	}

}
