/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation with
 * 1 service with interface Service1, no @Service annotation
 * 1 reference "reference1" (1..1) with interface Service1, no @Reference annotation
 * reference gets called when service1 operation1 is invoked
 * 
 * The class has no @Property annotations and no @Reference annotations but it has a setter method
 * which has a parameter which is typed by an interface which has a @Remotable annotation
 */
@Service(Service1.class)
public class service1UnannotatedRefSetterImpl implements Service1 {
	
	private String serviceName = "service1";
	private Service1 reference1 = null;

	public String operation1(String input) {
		String result = reference1.operation1(input);
		return serviceName + " operation1 invoked" + " " + result;
	}
	
	/**
	 * Setter for a property with the name "serviceName"
	 * @param aServiceName - the service name
	 */
	public void setServiceName( String aServiceName ) {
		serviceName = aServiceName;
	}
	
	/**
	 * Setter for a reference with the name "reference1"
	 * @param aReference - the reference proxy
	 */
	public void setReference1( Service1 aReference ) {
		reference1 = aReference;
	}

}
