/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1Superset
 * 0 references
 *
 * Implementation class has only a private constructor, which is not allowed for a class used as an
 * SCA component implementation
 */
@Service(Service1.class)
public class service1PrivateConstructorImpl implements Service1 {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	/**
	 * The private constructor
	 */
	private service1PrivateConstructorImpl() {
		super();
	}
	
	/**
	 * Method is in both Service1 interface
	 * @param input - a String with input data
	 * @return - a String response
	 */
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

} // end class incompleteOperationsImpl
