/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * Has a single constructor that cannot be validly invoked by the SCA runtime according to the 
 * POJO CI specification
 *
 */
@Service(Service1.class)
public class service1NoValidConstructorsImpl implements Service1 {
	
	String constructorMessage = null;
	
	/**
	 * Unannotated constructor with random arguments
	 * @param string1
	 * @param anInt
	 */
	public service1NoValidConstructorsImpl( String string1, int anInt ) {
		constructorMessage = " unannotated constructor was invoked";
	}

	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked" + constructorMessage;
	}

}
