/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * Has a constructor with all parameters annotated with @Property or with @Reference
 *
 */
@Service(Service1.class)
public class service1NoArgConstructorImpl implements Service1 {
	
	String constructorMessage = null;
	
	/**
	 * No-arg constructor, unannotated
	 */
	public service1NoArgConstructorImpl() {
		constructorMessage = " no-arg constructor was invoked";
	}
	
	/**
	 * Unannotated constructor with random arguments
	 * @param string1
	 * @param string2
	 */
	public service1NoArgConstructorImpl( String string1, String string2 ) {
		constructorMessage = " unannotated constructor was invoked";
	}

	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked" + constructorMessage;
	}

}
