/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;

/**
 * Java component implementation
 * 1 service with interface defined by this class itself
 * 0 references
 *
 * The interface defined by this class is by design compatible with the Service1 interface
 */
@Service(serviceImplClass.class)
@Remotable
public class serviceImplClass {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	/** 
	 * Single service operation offered by this class
	 * @param input - a String with input data
	 * @return - a String response
	 */
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
